<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="34" short-name="eight-shaped-figures" url="https://polygon.codeforces.com/p5IqzC4/tourist/eight-shaped-figures">
    <names>
        <name language="english" value="Eight-Shaped Figures"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>5000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>111</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="gen_random -t=10 -min_n=2 -max_n=100 -max_x=10 -max_r=5" method="generated"/>
                <test cmd="gen_random -t=100 -min_n=2 -max_n=2000 -max_x=17 -max_r=5" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=20000 -max_x=17 -max_r=5" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=17 -max_r=5" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=20 -max_r=5" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=100 -max_r=10" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=16 -max_r=1" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=16 -max_r=10" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=17 -max_r=20" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=17 -max_r=100" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=17 -max_r=1000" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=17 -max_r=1000000000" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=1000 -max_r=1000" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=1000000 -max_r=1000000" method="generated"/>
                <test cmd="gen_random -t=10000 -min_n=2 -max_n=200000 -max_x=1000000000 -max_r=1000000000" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=38 -max_r=1" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=50 -max_r=10" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=50 -max_r=20" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=50 -max_r=49" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=50 -max_r=51" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=50 -max_r=12" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=1000 -max_r=100" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=1000 -max_r=1000" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=1000000 -max_r=1000000" method="generated"/>
                <test cmd="gen_random -t=1000 -min_n=2 -max_n=200000 -max_x=1000000000 -max_r=1000000000" method="generated"/>
                <test cmd="gen_random -t=100 -min_n=2 -max_n=200000 -max_x=140 -max_r=42" method="generated"/>
                <test cmd="gen_random -t=100 -min_n=2 -max_n=200000 -max_x=140 -max_r=44" method="generated"/>
                <test cmd="gen_random -t=100 -min_n=2 -max_n=200000 -max_x=1000 -max_r=100" method="generated"/>
                <test cmd="gen_random -t=100 -min_n=2 -max_n=200000 -max_x=1000 -max_r=1000" method="generated"/>
                <test cmd="gen_random -t=100 -min_n=2 -max_n=200000 -max_x=1000000 -max_r=1000000" method="generated"/>
                <test cmd="gen_random -t=100 -min_n=2 -max_n=200000 -max_x=1000000000 -max_r=1000000000" method="generated"/>
                <test cmd="gen_random -t=10 -min_n=2 -max_n=200000 -max_x=10000 -max_r=1000" method="generated"/>
                <test cmd="gen_random -t=10 -min_n=2 -max_n=200000 -max_x=4000 -max_r=100" method="generated"/>
                <test cmd="gen_random -t=10 -min_n=2 -max_n=200000 -max_x=3000 -max_r=500" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=1 -flip=0" method="generated"/>
                <test description="File &quot;1&quot;" method="manual"/>
                <test description="File &quot;2&quot;" method="manual"/>
                <test description="File &quot;3&quot;" method="manual"/>
                <test description="File &quot;4&quot;" method="manual"/>
                <test description="File &quot;5&quot;" method="manual"/>
                <test description="File &quot;6&quot;" method="manual"/>
                <test description="File &quot;7&quot;" method="manual"/>
                <test description="File &quot;8&quot;" method="manual"/>
                <test description="File &quot;9&quot;" method="manual"/>
                <test description="File &quot;10&quot;" method="manual"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=1 -flip=1" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=2 -flip=0" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=2 -flip=1" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=3 -flip=0" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=3 -flip=1" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=4 -flip=0" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=4 -flip=1" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=5 -flip=0" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=5 -flip=1" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=6 -flip=0" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=6 -flip=1" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=7 -flip=0" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=7 -flip=1" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=8 -flip=0" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=8 -flip=1" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=9 -flip=0" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=9 -flip=1" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=10 -flip=0" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=10 -flip=1" method="generated"/>
                <test cmd="gen_similar_points" method="generated"/>
                <test cmd="gen_grid -n=25 -max_x=100000 -type=1 -k=0 -w=5" method="generated"/>
                <test cmd="gen_grid -n=25 -max_x=100000 -type=2 -k=0 -w=5" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=1 -k=0 -w=444" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=2 -k=0 -w=444" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=1 -k=100 -w=444" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=2 -k=100 -w=444" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=1 -k=10000 -w=444" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=2 -k=10000 -w=444" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=1 -k=100000 -w=300" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=2 -k=100000 -w=300" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=1 -k=150000 -w=200" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=2 -k=150000 -w=200" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=1 -k=190000 -w=100" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=2 -k=190000 -w=100" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=1 -k=199000 -w=13" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=2 -k=199000 -w=13" method="generated"/>
                <test cmd="gen_grid -n=200000 -max_x=1000000000 -type=1 -k=200000 -w=1" method="generated"/>
                <test cmd="gen_pairs -n=200000 -max_x=1000000000 -k=0" method="generated"/>
                <test cmd="gen_pairs -n=200000 -max_x=1000000000 -k=1000" method="generated"/>
                <test cmd="gen_pairs -n=200000 -max_x=1000000000 -k=10000" method="generated"/>
                <test cmd="gen_pairs -n=200000 -max_x=1000000000 -k=100000" method="generated"/>
                <test cmd="gen_pairs -n=200000 -max_x=1000000000 -k=190000" method="generated"/>
                <test cmd="gen_pairs -n=200000 -max_x=1000000000 -k=199000" method="generated"/>
                <test cmd="gen_pairs -n=200000 -max_x=1000000000 -k=199990" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=0 -par=10" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=1 -par=30" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=0 -par=100" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=1 -par=300" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=0 -par=1000" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=1 -par=3000" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=0 -par=10000" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=1 -par=30000" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=0 -par=47474" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=0 -par=52525" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=0 -par=71238" method="generated"/>
                <test cmd="gen_special -n=200000 -max_x=1000000000 -type=11 -flip=1 -par=23123" method="generated"/>
                <test cmd="gen_degree -max_x=100 -n=1" method="generated"/>
                <test cmd="gen_degree -max_x=10000 -n=2000" method="generated"/>
                <test cmd="gen_degree -max_x=100000 -n=20000" method="generated"/>
                <test cmd="gen_degree -max_x=1000000 -n=200000" method="generated"/>
                <test cmd="gen_degree -max_x=10000000 -n=200000" method="generated"/>
                <test cmd="gen_degree -max_x=100000000 -n=200000" method="generated"/>
                <test cmd="gen_degree -max_x=500000000 -n=200000" method="generated"/>
                <test cmd="gen_degree -max_x=900000000 -n=200000" method="generated"/>
                <test cmd="gen_degree -max_x=999000000 -n=200000" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/gen_degree.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_degree.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_grid.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_grid.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_pairs.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_pairs.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_random.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_random.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_similar_points.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_similar_points.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_special.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_special.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_stub.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_stub.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validate_random.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validate_random.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validate_slow.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validate_slow.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validate_random.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validate_random.exe" type="exe.win32"/>
                <testset>
                    <test-count>9</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/290885353_izban_rj.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290885353_izban_rj.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/291137721_ksun48_wa3.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291137721_ksun48_wa3.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/291140459_ksun48_wa4.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291140459_ksun48_wa4.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/291140766_ksun48_tl28.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291140766_ksun48_tl28.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291140915_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291140915_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291154078_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291154078_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/291154224_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291154224_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/sol.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/sol.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/stupid.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/stupid.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/zakhar_iakovlev_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/zakhar_iakovlev_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/zakhar_iakovlev_wa.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/zakhar_iakovlev_wa.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="geometry"/>
    </tags>
</problem>
